#version 430 core
layout (triangles) in;
layout (triangle_strip, max_vertices=18) out;


struct ShadowArrayData {
	mat4 shadowArray;
};

//layout(std140, binding = 10) uniform shadowMatrices {
//	mat4 shadowArray[6];
//};

layout(std140, binding = 10) uniform shadowMatrices {
	ShadowArrayData uShadowArray[6];
};

out vec4 fragmentPosition; 

void main()
{
    for(int side = 0; side < 6; side++)
    {
        gl_Layer = side;

        for(int i = 0; i < 3; ++i)
        {
            fragmentPosition = gl_in[i].gl_Position;
            gl_Position = uShadowArray[side].shadowArray * fragmentPosition;
            EmitVertex();
        }   
 
        EndPrimitive();
    }
}