#version 430 core
layout (location = 0) in vec4 inPosition; 

out vec3 uvwCoords;

uniform mat4 pMatrix;
uniform mat4 vmMatrix;

void main()
{
    uvwCoords = inPosition.xyz;
    vec4 pos = pMatrix * vmMatrix * vec4(inPosition.xyz, 1.0);
    gl_Position = pos.xyww;
}  